<template>
    <div class="consultantCardStyle">
        <img class="avator" :src="agentInfo.img" alt="">
        <div class="name">{{agentInfo.name}}</div>
        <div class="star">{{agentInfo.satisfaction}}</div>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';
import { Agents } from '~/plugins/api/home';

@Component
export default class Avator extends Vue {
    @Prop() agentInfo!: Agents;
}
</script>

<style lang="scss" scoped>
    .consultantCardStyle {
        text-align: center;

        .avator {
            width: 80px;
            height: 80px;
            border-radius: 50px;
            margin: 0 auto 8px auto;
        }

        .name {
            font-size: 16px;
            font-weight: bold;
        }

        .star {
            font-size: 20px;

            &:before {
                content: '\2605';
                color: $PRIMARY_RED;
                margin-right: 10px;
                font-size: 15px;
            }
        }
    }
</style>
